Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
QwtIntervalSample Class Reference

`#include <qwt_series_data.h>`

List of all members.

## Public Member Functions

| QwtIntervalSample ()
| QwtIntervalSample (double, const QwtInterval &)
| QwtIntervalSample (double value, double min, double max)
bool | operator!= (const QwtIntervalSample &) const
bool | operator== (const QwtIntervalSample &) const

## Public Attributes

QwtInterval | interval
double | value

## Detailed Description

A sample of the types (x1-x2, y) or (x, y1-y2)

## Constructor & Destructor Documentation

QwtIntervalSample::QwtIntervalSample | ( |  | ) |

inline

Constructor The value is set to 0.0, the interval is invalid